Subject: Re: bug#47478: 28.0.50; Provide customization option for nnimap-keepalive-timer

From: Eric Abrahamsen <[email-masked]>
Date: Wed, 28 Apr 2021 16:08:18 -0700

A gentle bump. Lars, do you have any thoughts on this? In the interim
I've started to dislike `nnimap-keepalives-times' as the option name,
but haven't come up with anything better.

Eric Abrahamsen <[email-masked]> writes:

> Bob Newell requested the ability to customize the
> `nnimap-keepalive-timer', and I've opened this bug report with a patch
> that adds a new `nnimap-keepalive-times' customization option.
>
> It lets you customize both function interval and period of inactivity,
> or you can set it to nil to disable the keepalive altogether.
>
> I also sneaked in a little extra change: since we provided the option to
> use Dbus to close Gnus servers when your machine is going to sleep, I've
> noticed that sometimes (more often than you'd think) I seem to be
> sleeping the machine in between sending the keepalive NOOP and receiving
> the response.
>
> When the computer wakes, Emacs is hung while Gnus waits on an OK that
> isn't coming, and I need to C-g to get out of it. I would have thought
> this was a pretty small target to hit, particular since my imap servers
> are all on this computer, but it happens quite often. So this patch also
> lets `nnimap-streaming' to t around the keepalive command, so we don't
> wait for the response. Semantically incorrect, but the effect is right.
>
> If this is acceptable I can add a NEWS entry (and maybe the manual as
> well?).
>
> Eric